Bug 47809 - [donut chart] [FORMATTING] Colour won't be updated
Summary: [donut chart] [FORMATTING] Colour won't be updated
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-03-24 10:42 UTC by Florian Reisinger
Modified: 2021-01-11 03:56 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
See the problem (49.10 KB, image/jpeg)
2012-03-24 10:42 UTC, Florian Reisinger
Details
Testfile with only one diagram in writer (41.74 KB, application/vnd.oasis.opendocument.text)
2012-03-25 23:03 UTC, Florian Reisinger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Reisinger 2012-03-24 10:42:10 UTC
Created attachment 58981 [details]
See the problem

Hi!

LibreOffice 3.5.1.2
and Win7 x64.

I opened a new writer document, inserted a chart (german UI) and changed the sata ( 2 rows; 2 columns). Finally I tried to change the colour of one Datarow. It didn't work (pls. refer to the attached file...)
Italo Vignoli tried it, so  it might be a REGRESSION ( http://www.italovignoli.org/wp-content/uploads/2012/03/pippo.jpg )

ASAP I will try it with the latest RC...
Comment 1 Markus Mohrhard 2012-03-25 14:32:04 UTC
Please attach a test document and explain how to reproduce it.

And please only mark it as a regression if you tested it yourself with an older version and can tell us in which version it was still working. Regression is a keywork to make it easier for devs to find commits introducing bugs.
Comment 2 Florian Reisinger 2012-03-25 23:03:07 UTC
Created attachment 59045 [details]
Testfile with only one diagram in writer

For a description how to reproduce: Refer to comment 0 ( My first one).
1)Open a new writer document.
2) Insert -> Object -> Diagram
3) Choose donut chart
4) Change the "row formatting [UI:DE - I am sorry for the wrong names.]
Comment 3 sasha.libreoffice 2012-04-05 01:56:33 UTC
reproduced in 3.3.4 and 3.5.2.2 on Fedora 64 bit
Steps to reproduce:
0. Open attached odt file
1. Double click diagram (appears toolbar "Formatting" for diagram)
2. on left side of toolbar select Data series 'Open Office'
3. press "Format selection" on the same toolbar
4. change color to another
Expected: color changed
Actually: nothing happens
Comment 4 Thomas Arnhold 2014-06-28 01:49:10 UTC
I can reproduce this, too:

Version: 4.2.5.2
Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5
On Windows 7.
Comment 5 Florian Reisinger 2014-06-28 07:42:44 UTC
Updated version
Comment 6 QA Administrators 2015-07-18 17:42:47 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-10-16 19:45:53 UTC
(In reply to sasha.libreoffice from comment #3)
> reproduced in 3.3.4 and 3.5.2.2 on Fedora 64 bit
> Steps to reproduce:
> 0. Open attached odt file
> 1. Double click diagram (appears toolbar "Formatting" for diagram)
> 2. on left side of toolbar select Data series 'Open Office'
> 3. press "Format selection" on the same toolbar
> 4. change color to another
> Expected: color changed
> Actually: nothing happens

Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 8 QA Administrators 2017-01-03 19:35:36 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2019-01-11 20:34:12 UTC
Still reproduced in

Version: 6.3.0.0.alpha0+
Build ID: a0210c5c5e8fd47b55567a8b18788d57d2b7decb
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

so this is not a regression...
Comment 10 QA Administrators 2021-01-11 03:56:21 UTC
Dear Florian Reisinger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug